Manual:$wgChangeCredentialsBlacklist

Authentication: $wgChangeCredentialsBlacklist
List of AuthenticationRequest class names which are not changeable through Special:ChangeCredentials and the changeauthenticationdata API.
Introduced in version:1.27.0 (Gerrit change 240052; git #3617c982)
Removed in version:still in use
Allowed values:(array)
Default value:
[
	\MediaWiki\Auth\TemporaryPasswordAuthenticationRequest::class
]

DetailsEdit

List of AuthenticationRequest class names which are not changeable through Special:ChangeCredentials and the changeauthenticationdata API. This is only enforced on the client level; AuthManager itself (e.g. AuthManager::allowsAuthenticationDataChange calls) is not affected. Class names are checked for exact match (not for subclasses).

See alsoEdit